Bug 187891 - php package should provide mod_php, php-apache, php-apache2 or similar
php package should provide mod_php, php-apache, php-apache2 or similar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
EasyFix
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 07:07 EDT by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 5.1.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 07:55:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2006-04-04 07:07:15 EDT
Description of problem:
The "php" package includes the Apache2 SAPI. This is significant because PHP has
evolved such that it is increasingly being used as a general-purpose scripting
language, not just a Web-based language. Indeed, recent php packages (very
appropriately) install the PHP CLI SAPI version at /usr/bin/php.

This means that it is entirely conceivable that in future the Apache module
might be separated, packaging-wise, from the PHP CLI module (though such
separation would be the topic for a separate bug). In a similar vein to bug
#173804 therefore, the core PHP package should have a virtual Provide of
"mod_php", "php-apache", "php-apache2" or something similar so that
apps/packaging systems that *require* the Apache module specifically have
something to depend on. There *is* an automatic provide of "libphp5.so", but I
would suggest that this is not sufficient on its own as a) it's not very obvious
and b) it's versioned (an app might want to depend on the PHP Apache module but
not care whether it's v4 or v5).


Version-Release number of selected component: php-5.1.2-5


How reproducible: Always


Steps to Reproduce:
1. rpm -q --provides php|grep -P "apache|mod"

Actual results:
[nothing]


Expected results:
php-apache2 = 5.1.2-5 (most logical)

or

mod_php = 5.1.2-5 (consistent with other Apache modules but not with the base
packagename)

or

php-apache = 5.1.2-5 (possible but doesn't distinguish apache ver)
Comment 1 Joe Orton 2006-04-04 09:39:47 EDT
I don't like any of these choices realy.  There is no "mod_php", like there is a
 "mod_perl"; there is just PHP; but I guess that is the least of a bad bunch. 
Apache == ASF, not the Apache HTTP Server.  "php-httpd", the other choice, means
nothing much to anybody.

(p.s. see also bug 177821 :)
Comment 2 Tim Jackson 2006-04-04 09:58:03 EDT
There is no actual file called "mod_php" (although there used to be in earlier
versions <4), but I'm not sure that makes it any less a candidate for having a
mod_php Provide; PHP (the Apache HTTPD module) is a module in the same was as
all other dynamically-loadable modules.

I know the Apache vs ASF distinction, but was trying to be practical (and, as
you say, php-httpd doesn't mean anything) :) We could have Provides:
php-apache-httpd but that's a bit clumsy :)

mod_php is the way to go, I reckon.
Comment 3 Joe Orton 2006-05-16 09:36:38 EDT
Provides: mod_php is in the 5.1.4 update currently on its way to updates.
Comment 4 Joe Orton 2006-05-17 07:55:54 EDT
Fixed in 5.1.4-1, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.